OpenTTD Source: Data Fields - Functions

OpenTTD Source 12.0-beta1

### - r -

- RailTypeResolverObject() : RailTypeResolverObject
- RailTypeScopeResolver() : RailTypeScopeResolver
- RaiseButtons() : Window
- RaiseWidget() : Window
- RandomAccessFile() : RandomAccessFile
- Read() : FileReader , IntSettingDesc , LoadFilter , LZMALoadFilter , LZOLoadFilter , NoCompLoadFilter , PacketReader , StringSettingDesc , ZlibLoadFilter
- ReadBlock() : RandomAccessFile
- ReadBuffer() : ByteBuffer , ReadBuffer
- ReadByte() : ByteBuffer , RandomAccessFile
- ReadDataBlock() : ByteBuffer
- ReadDLSArticulation() : DLSFile
- ReadDLSInstrument() : DLSFile
- ReadDLSInstrumentList() : DLSFile
- ReadDLSRegion() : DLSFile
- ReadDLSRegionList() : DLSFile
- ReadDLSWave() : DLSFile
- ReadDLSWaveList() : DLSFile
- ReadDword() : RandomAccessFile
- ReadLine() : FileStringReader , StringListReader , StringReader
- ReadSMFHeader() : MidiFile
- ReadVariableLength() : ByteBuffer , MpsMachine
- ReadWord() : RandomAccessFile
- Reassign() : VehicleCargoList
- Rebuild() : Kdtree< T, TxyFunc, CoordT, DistT > , RoadStop::Entry
- RebuildCache() : LinkGraphOverlay
- RebuildColourIndexIfNecessary() : SmallMapWindow
- RebuildDone() : GUIList< T, F >
- RebuildList() : NetworkClientListWindow
- RebuildListCompany() : NetworkClientListWindow
- RebuildVisibleSettings() : AISettingsWindow
- RecalcDestinations() : StationViewWindow
- RecalculateTimetableDuration() : OrderList
- Receive() : ClientNetworkGameSocketHandler , NetworkHTTPSocketHandler , TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- Receive_ADMIN_CHAT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_GAMESCRIPT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_JOIN() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_PING() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_POLL() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_QUIT() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_RCON() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_ADMIN_UPDATE_FREQUENCY() : NetworkAdminSocketHandler , ServerNetworkAdminSocketHandler
- Receive_CLIENT_ACK() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_CHAT() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_COMMAND() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_COMPANY_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_CONNECT() : NetworkCoordinatorSocketHandler
- Receive_CLIENT_CONNECTED() : NetworkCoordinatorSocketHandler
- Receive_CLIENT_CONTENT() : NetworkContentSocketHandler
- Receive_CLIENT_ERROR() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_FIND_SERVER() : NetworkUDPSocketHandler , ServerNetworkUDPSocketHandler
- Receive_CLIENT_GAME_INFO() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_GAME_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_GETMAP() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_INFO_EXTID() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_EXTID_MD5() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_ID() : NetworkContentSocketHandler
- Receive_CLIENT_INFO_LIST() : NetworkContentSocketHandler
- Receive_CLIENT_JOIN() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_LISTING() : NetworkCoordinatorSocketHandler
- Receive_CLIENT_MAP_OK() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_MOVE() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_NEWGRFS_CHECKED() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_QUIT() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_RCON() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_SET_NAME() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_CLIENT_SET_PASSWORD() : NetworkGameSocketHandler , ServerNetworkGameSocketHandler
- Receive_GC_CONNECT_FAILED() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_CONNECTING() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_DIRECT_CONNECT() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_ERROR() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_LISTING() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_NEWGRF_LOOKUP() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_REGISTER_ACK() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_STUN_CONNECT() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_STUN_REQUEST() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_GC_TURN_CONNECT() : ClientNetworkCoordinatorSocketHandler , NetworkCoordinatorSocketHandler
- Receive_SERCLI_CONNECT() : NetworkTurnSocketHandler
- Receive_SERCLI_CONNECT_FAILED() : NetworkCoordinatorSocketHandler
- Receive_SERCLI_STUN() : NetworkStunSocketHandler
- Receive_SERCLI_STUN_RESULT() : NetworkCoordinatorSocketHandler
- Receive_SERVER_BANNED() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CHAT() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CHECK_NEWGRFS() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CLIENT_ERROR() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_INFO() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CLIENT_JOIN() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_QUIT() : NetworkAdminSocketHandler
- Receive_SERVER_CLIENT_UPDATE() : NetworkAdminSocketHandler
- Receive_SERVER_CMD_LOGGING() : NetworkAdminSocketHandler
- Receive_SERVER_CMD_NAMES() : NetworkAdminSocketHandler
- Receive_SERVER_COMMAND() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_COMPANY_ECONOMY() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_INFO() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_NEW() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_REMOVE() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_STATS() : NetworkAdminSocketHandler
- Receive_SERVER_COMPANY_UPDATE() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CONFIG_UPDATE() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_CONSOLE() : NetworkAdminSocketHandler
- Receive_SERVER_CONTENT() : ClientNetworkContentSocketHandler , NetworkContentSocketHandler
- Receive_SERVER_DATE() : NetworkAdminSocketHandler
- Receive_SERVER_ERROR() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_ERROR_QUIT() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_FRAME() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_FULL() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_GAME_INFO() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_INFO() : ClientNetworkContentSocketHandler , NetworkContentSocketHandler
- Receive_SERVER_JOIN() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_MAP_BEGIN() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_MAP_DATA() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_MAP_DONE() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_MAP_SIZE() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_MOVE() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_NEED_COMPANY_PASSWORD() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_NEED_GAME_PASSWORD() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_NEWGAME() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_PONG() : NetworkAdminSocketHandler
- Receive_SERVER_PROTOCOL() : NetworkAdminSocketHandler
- Receive_SERVER_QUIT() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_RCON() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_RCON_END() : NetworkAdminSocketHandler
- Receive_SERVER_REGISTER() : NetworkCoordinatorSocketHandler
- Receive_SERVER_RESPONSE() : ClientNetworkUDPSocketHandler , NetworkUDPSocketHandler
- Receive_SERVER_SHUTDOWN() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_SYNC() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_UPDATE() : NetworkCoordinatorSocketHandler
- Receive_SERVER_WAIT() : ClientNetworkGameSocketHandler , NetworkGameSocketHandler
- Receive_SERVER_WELCOME() : ClientNetworkGameSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler
- Receive_TURN_CONNECTED() : ClientNetworkTurnSocketHandler , NetworkTurnSocketHandler
- Receive_TURN_ERROR() : ClientNetworkTurnSocketHandler , NetworkTurnSocketHandler
- ReceiveCommand() : NetworkGameSocketHandler
- ReceiveInvalidPacket() : NetworkAdminSocketHandler , NetworkContentSocketHandler , NetworkCoordinatorSocketHandler , NetworkGameSocketHandler , NetworkStunSocketHandler , NetworkTurnSocketHandler , NetworkUDPSocketHandler
- ReceivePacket() : NetworkTCPSocketHandler , ServerNetworkGameSocketHandler
- ReceivePackets() : NetworkAdminSocketHandler , NetworkContentSocketHandler , NetworkCoordinatorSocketHandler , NetworkGameSocketHandler , NetworkTurnSocketHandler , NetworkUDPSocketHandler
- RecomputeCatchment() : Station
- RecomputeCatchmentForAll() : Station
- RecomputeProductionMultipliers() : Industry
- RecursiveResolve() : NewGRFProfiler
- Recv_bool() : Packet
- Recv_string() : Packet
- Recv_uint16() : Packet
- Recv_uint32() : Packet
- Recv_uint64() : Packet
- Recv_uint8() : Packet
- Reduce() : CargoPacket
- ReduceFlow() : Path
- ReduceLineCache() : Layouter
- RefCnt() : FixedSizeArray< T, C >
- Reflow() : FallbackParagraphLayout
- ReflowContent() : TextfileWindow
- RefreshLinks() : LinkRefresher
- RefreshScrollbar() : RefitWindow
- RefreshSelectedPage() : StoryBookWindow
- RefreshStats() : LinkRefresher
- Register() : ClientNetworkCoordinatorSocketHandler
- RegisterAPI() : AIInfo , AIInstance , AILibrary , AIScannerInfo , AIScannerLibrary , GameInfo , GameInstance , GameLibrary , GameScannerInfo , GameScannerLibrary , ScriptInstance , ScriptScanner
- RegisterScript() : ScriptScanner
- ReInit() : Window
- Release() : CCountedPtr< Tcls_ >
- ReleaseAnimBuffer() : OpenGLBackend
- ReleaseFlows() : FlowStatMap
- ReleaseObject() : Squirrel
- ReleaseShare() : FlowStat
- ReleaseSQObject() : ScriptInstance
- ReleaseVideoBuffer() : OpenGLBackend
- ReleaseVideoPointer() : VideoDriver_Cocoa , VideoDriver_CocoaOpenGL , VideoDriver_SDL_Base , VideoDriver_SDL_Default , VideoDriver_SDL_OpenGL , VideoDriver_Win32Base
- RemainingBytesToTransfer() : Packet
- RemainingCount() : VehicleCargoList
- RemapTile() : SmallMapWindow
- Remove() : CargoDataEntry , CBinaryHeapT< T > , Kdtree< T, TxyFunc, CoordT, DistT > , SmallSet< Tdir, items >
- RemoveCallback() : ClientNetworkContentSocketHandler
- RemoveEdge() : LinkGraph::Node
- RemoveFlow() : LinkGraphJob::Edge
- RemoveFromAllNearbyLists() : Station
- RemoveFromCache() : CargoList< Tinst, Tcont > , VehicleCargoList
- RemoveFromMeta() : VehicleCargoList
- RemoveFromShared() : Vehicle
- RemoveGroup() : IniLoadFile
- RemoveItem() : IniGroup
- RemoveNode() : LinkGraph
- RemoveOrder() : OrderBackup
- RemoveRecursive() : Kdtree< T, TxyFunc, CoordT, DistT >
- RemoveVehicle() : OrderList
- RenderOglSprite() : OpenGLBackend
- Reopen() : NetworkSocketHandler
- ReplaceClick_StartReplace() : ReplaceVehicleWindow
- ReportFileError() : IniFile , IniLoadFile , SettingsIniFile
- RequestContentList() : ClientNetworkContentSocketHandler
- require() : SquirrelStd
- Reroute() : StationCargoList , VehicleCargoList
- Rescan() : AI
- RescanDir() : ScriptScanner
- ReservationCost() : CYapfCostRailT< Types >
- Reserve() : StationCargoList
- ReservedCount() : StationCargoList , VehicleCargoList
- ReserveRailStationPlatform() : CYapfReserveTrack< Types >
- ReserveSingleTrack() : CYapfReserveTrack< Types >
- ReserveTrackUnderConsist() : Train
- Reset() : BitmapTileArea , FileReader , IConsoleLine , IndustryBuildData , IndustryTypeBuildData , LanguagePackGlyphSearcher , LoadFilter , MissingGlyphSearcher , OrderBackup , PacketReader , PerformanceAccumulator , ScriptScanner , SmallMatrix< T > , SmallSet< Tdir, items > , Squirrel , TextEffect , TextfileWindow , TileHighlightData
- ResetAirports() : AirportSpec
- ResetAirportTiles() : AirportTileSpec
- ResetAll() : SettingsContainer , SettingsPage
- ResetConfig() : AI
- ResetEditableSettings() : ScriptConfig
- ResetEngine() : ScriptScanner
- ResetFontCache() : Layouter
- ResetIndustryCounts() : Industry
- ResetInfo() : AIConfig , GameConfig
- ResetLineCache() : Layouter
- ResetMapping() : OverrideManagerBase
- ResetOfUser() : OrderBackup
- ResetOverride() : OverrideManagerBase
- ResetRefit() : LinkRefresher
- ResetRefitCaps() : Vehicle
- ResetResortTimer() : GUIList< T, F >
- ResetSettings() : ScriptConfig
- ResetState() : ResolverObject , StringFilter
- ResetToCurrentNewGRFConfig() : EngineOverrideManager
- ResetToDefaultMapping() : EngineOverrideManager
- ResetToZero() : PersistentStorageArray< TYPE, SIZE >
- ResetTypeCounts() : Object
- ResetUser() : OrderBackup
- Resize() : OpenGLBackend , SmallMatrix< T >
- Resolve() : DeterministicSpriteGroup , NetworkAddress , NIHAirportTile , NIHelper , NIHHouse , NIHIndustry , NIHIndustryTile , NIHObject , NIHRailType , NIHRoadType , NIHStation , NIHTown , NIHVehicle , RandomizedSpriteGroup , RealSpriteGroup , ResolverObject , SpriteGroup , TCPConnecter
- ResolveCallback() : ResolverObject
- ResolveReal() : ResolverObject , StationResolverObject , VehicleResolverObject
- ResolverObject() : ResolverObject
- ResolveThunk() : TCPConnecter
- RestartSong() : MpsMachine
- Restore() : Backup< T > , OrderBackup
- RestrictFlows() : FlowStatMap
- RestrictShare() : FlowStat
- ResultSpriteGroup() : ResultSpriteGroup
- Resume() : Squirrel
- ResumeError() : Squirrel
- Retrieve() : CargoDataEntry
- Return() : VehicleCargoList
- ReturnCargoAction() : ReturnCargoAction
- ReusableBuffer() : ReusableBuffer< T >
- ReverseLookupDependency() : ClientNetworkContentSocketHandler
- ReverseLookupTreeDependency() : ClientNetworkContentSocketHandler
- Revert() : Backup< T >
- Rewind() : ByteBuffer
- RoadStop() : RoadStop
- RoadTypeResolverObject() : RoadTypeResolverObject
- RoadTypeScopeResolver() : RoadTypeScopeResolver
- RoadVehicle() : RoadVehicle
- RotateTop4Words() : TextRefStack
- Run() : ComponentHandler , DemandHandler , FlowMapper , InitHandler , LinkGraphSchedule , LinkRefresher , MCFHandler< Tpass >
- RunError() : Squirrel